<?
require_once('include/global.php');
require_once("include/board_lib.php");
require_once('include/file.php');
require_once('conf.inc.php');

set_time_limit(1200);

// check - max size
// 게시판 첨부 최대용량 제한
	if ($_FILES['file']['size'] > $UPLOAD_MAX_SIZE) {
		echo response_json(array(
			'error' =>
				"게시판 첨부 최대용량인 [" . filesize_human($UPLOAD_MAX_SIZE) . "]를 초과하였습니다.",
		));
		exit;
	}

// 파일첨부 사용 확인
	$ba = board_admin_info($_GET['ba_no']);		// array
	if ($ba['ba_isuse_file'] != 'Y') {
		echo response_json(array(
			'error' =>
				"파일첨부를 사용하지 않는 게시판에서는 이미지를 업로드할 수 없습니다.",
		));
		exit;
	}

	$errorMsg = file_upload_error_msg($_FILES['file'], $_FILES['file']['size'], $UPLOAD_MAX_SIZE);
	if ($errorMsg != '')
	{
//		msg("이미지 삽입이 실패하였습니다.\\n\\n원인 : ".$errorMsg);
		echo response_json(array(
			'error' => str_replace('\n', '  ', $errorMsg),
		));
		exit;
	} else
	{
		// proc
			// file upload
			$UPLOAD_ROOT = $UPLOAD_ROOT_NEW;
			$upload_dir = $UPLOAD_DIR[BIGFILE_TMP];
			$upload_tmp_name = getmicrotime();

			$errorMsg = file_up_new('file', $upload_tmp_name, '', $upload_dir, $UPLOAD_MAX_SIZE);
			if ($errorMsg != '') {
//				msg("이미지 삽입이 실패하였습니다.\\n\\n원인 : " . $errorMsg);
				echo response_json(array(
					'error' => str_replace('\n', '  ', $errorMsg),
				));
				exit;
			}
	}	// if()

	$cid_url = $G_SYS['HTTP_URL_ROOT']."/board_image_tmp.php?cid=" . $upload_tmp_name . '&name=' . urlencode($_FILES['file']['name']);

	$data = array(
		'location' => $cid_url,
		'sg' => $upload_tmp_name,
		'sg_name' => $_FILES['file']['name'],
		'sg_size' => $_FILES['file']['size'],
	);

    echo response_json($data);
	exit;

// 디버깅정보 생략.
//require_once('include/global_end.php');
